package client

type Option func(options *Options)

type Options struct {
	logLevel string
}

func WithLogLevel(logLevel string) Option {
	return func(options *Options) {
		options.logLevel = logLevel
	}
}
